// creator  : weidu.exe (version 23100)
// argument : _BOB.DLG
// game		 : .
// source	 : ./override/_BOB.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_BOB~

IF ~NumberOfTimesTalkedTo(0)
GlobalLT("Chapter","GLOBAL",3)
~ THEN BEGIN 0 // from:
  SAY #77358 /* ~Finally! Someone has come to save us.~ */
  IF ~~ THEN REPLY #77359 /* ~Do you know something about what's been happening here?~ */ GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #77360 /* ~Sure I know what's happening. What do you wanna know?~ */
  IF ~~ THEN REPLY #77361 /* ~What about the missing miners?~ */ GOTO 2
  IF ~~ THEN REPLY #77362 /* ~Have you heard about any creatures in the mines?~ */ GOTO 3
  IF ~~ THEN REPLY #77363 /* ~What about the ore?~ */ GOTO 4
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #77364 /* ~Oh them, I told them before they went. Tried to at least. Naturally there must be a dragon down there killing them all. He must be mad about us mining his hill. Poor thing.	~ */
  IF ~~ THEN UNSOLVED_JOURNAL #77365 /* ~Investigating the Nashkel mines

A dragon in the mines?  It cannot be.  These miners are a panicky lot.~ */ EXIT
  IF ~Global("X#JaheiraBOB","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#JaheiraBOB","GLOBAL",1)~ EXTERN ~_JAHEIJ~ 119
END

IF ~~ THEN BEGIN 3 // from: 1.1
  SAY #77366 /* ~Just the dragon is all. Haven't actually seen him, but what else could kill all those miners.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #77365 /* ~Investigating the Nashkel mines

A dragon in the mines?  It cannot be.  These miners are a panicky lot.~ */ EXIT
  IF ~Global("X#JaheiraBOB1","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#JaheiraBOB1","GLOBAL",1)~ EXTERN ~_JAHEIJ~ 120
END

IF ~~ THEN BEGIN 4 // from: 1.2
  SAY #77367 /* ~Oh, we don't ship as much out as we used to. We do pretty well considering the shortage of people we have to help though.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #74690 /* ~Investigating the Nashkel mines

The mine is barely shipping any ore at all, what with the shortage of people.~ */ EXIT
END

IF ~True()
~ THEN BEGIN 5 // from:
  SAY #74685 /* ~Leave us be, there is much work to be done.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 6 // from:
  SAY #98615 /* ~Well, missus, you know better, being an adventurer and all...~ */
  IF ~~ THEN UNSOLVED_JOURNAL #77365 /* ~Investigating the Nashkel mines

A dragon in the mines?  It cannot be.  These miners are a panicky lot.~ */ EXIT
END

IF ~~ THEN BEGIN 7 // from:
  SAY #98615 /* ~Well, missus, you know better, being an adventurer and all...~ */
  IF ~~ THEN UNSOLVED_JOURNAL #77365 /* ~Investigating the Nashkel mines

A dragon in the mines?  It cannot be.  These miners are a panicky lot.~ */ EXIT
END
